Package weka.classifiers.functions

# Class BoundaryKernelClassifierWithPlaneProjectionsGauss

java.lang.Object
weka.classifiers.AbstractClassifier
weka.classifiers.SingleClassifierEnhancer
weka.classifiers.functions.SingleClassifierEnhancerBoundary
weka.classifiers.functions.BoundaryKernelClassifier
weka.classifiers.functions.BoundaryKernelClassifierWithPlaneProjectionsGauss

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `weka.classifiers.Classifier`, `weka.core.BatchPredictor`, `weka.core.CapabilitiesHandler`, `weka.core.CapabilitiesIgnorer`, `weka.core.CommandlineRunnable`, `weka.core.OptionHandler`, `weka.core.RevisionHandler`, `weka.tools.GlobalInfoHandler`

public class BoundaryKernelClassifierWithPlaneProjectionsGauss extends BoundaryKernelClassifier

Since:
  2.3.0
Version:
  2.3.2
Author:
  pawel trajdos
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class weka.classifiers.AbstractClassifier

  `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoundaryKernelClassifierWithPlaneProjectionsGauss()`
  `BoundaryKernelClassifierWithPlaneProjectionsGauss(ClassifierWithBoundaries nearestCentroidBoundary)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildClassifier(weka.core.Instances data)`

  ### Methods inherited from class weka.classifiers.functions.BoundaryKernelClassifier

  `distributionForInstance, estimProtoTipText, getEstimProto, getOptions, globalInfo, isNormalize, isPreNormalize, isUsePriorProbs, listOptions, normalizeTipText, preNormalizeTipText, setEstimProto, setNormalize, setOptions, setPreNormalize, setUsePriorProbs, usePriorProbsTipText`

  ### Methods inherited from class weka.classifiers.functions.SingleClassifierEnhancerBoundary

  `getCapabilities, setClassifier`

  ### Methods inherited from class weka.classifiers.SingleClassifierEnhancer

  `classifierTipText, getClassifier, postExecution, preExecution`

  ### Methods inherited from class weka.classifiers.AbstractClassifier

  `batchSizeTipText, classifyInstance, debugTipText, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, getRevision, implementsMoreEfficientBatchPrediction, makeCopies, makeCopy, numDecimalPlacesTipText, run, runClassifier, setBatchSize, setDebug, setDoNotCheckCapabilities, setNumDecimalPlaces`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BoundaryKernelClassifierWithPlaneProjectionsGauss

    public BoundaryKernelClassifierWithPlaneProjectionsGauss(ClassifierWithBoundaries nearestCentroidBoundary)
    Parameters:
      `nearestCentroidBoundary` -

  - ### BoundaryKernelClassifierWithPlaneProjectionsGauss

    public BoundaryKernelClassifierWithPlaneProjectionsGauss()

- ## Method Details

  - ### buildClassifier

    public void buildClassifier(weka.core.Instances data) throws Exception
    Specified by:
      `buildClassifier` in interface `weka.classifiers.Classifier`
    Overrides:
      `buildClassifier` in class `BoundaryKernelClassifier`
    Throws:
      `Exception`